Subject: bug#57057: Prevent ‘electric-quote-mode’ from merging single quotes

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Aug 2022 20:43:46 +0200

Andrea Greselin <[email-masked]> writes:

> I stumbled a couple of times across a behaviour by
> ‘electric-quote-mode’ where it replaces two consecutive single
> electric quotes with a single double quote. To see what I mean open
> ‘emacs -Q’, enable ‘electric-quote-mode’ and ‘text-mode’, then hit `
> or ' twice.

Makes sense to me, so I've now pushed your change to Emacs 29 (with some
changes to the doc string to conform to our conventions).

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?